# Aurora 🌈

Open Source Analytics Platform - Designed for Humans & Developers :sunglasses:

![](https://repository-images.githubusercontent.com/349502977/99c2cf00-9970-11eb-9cb1-9ebecd4f2f27)

## Getting Started 🤩

This is a public beta! Please star and watch the repository for big news :heart: we have also a simple [roadmap](https://trello.com/b/df17oLMm/aurora-roadmap) in order to track some good ideas.

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. See deployment for notes on how to deploy the project on a live system.

### Prerequisites

- A PostgreSQL Instance

### Installing 

Clone the repository

`git clone https://github.com/itsrennyman/aurora.git`

Install the dependencies

`npm install`

Copy & Fill the *.env.example*

`cp .env.example .env`

Start the server

`npm run dev`

## Deployment 🛫

[![Deploy with Vercel](https://vercel.com/button)](https://vercel.com/new/git/external?repository-url=https%3A%2F%2Fgithub.com%2Fitsrennyman%2Faurora&env=DB_URL,JWT_SECRET&project-name=aurora)

## Built With 🏗️

* [NextJS](https://nextjs.org/) - NextJS
* [TailwindCSS](https://tailwindcss.com/) - TailwindCSS
* [KnexJS](https://knexjs.org/) - Database ORM

## Versioning 🚦

We use [SemVer](http://semver.org/) for versioning. For the versions available, see the [tags on this repository](https://github.com/itsrennyman/aurora/tags). 

## Authors 🙋

* **Renato Pozzi** - *Initial work* - [itsrennyman](https://github.com/itsrennyman)

## Stargazers 🌟

[![Stargazers repo roster for @itsrennyman/aurora](https://reporoster.com/stars/itsrennyman/aurora)](https://github.com/itsrennyman/aurora/stargazers)

See also the list of [contributors](https://github.com/itsrennyman/aurora/contributors) who participated in this project.

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details
